package com.ruoyi.dz.mapper;

import java.util.List;
import com.ruoyi.dz.domain.DzControl;

/**
 * 单招省份状态Mapper接口
 * 
 * @author ruoyi
 * @date 2025-09-12
 */
public interface DzControlMapper 
{
    /**
     * 查询单招省份状态
     * 
     * @param id 单招省份状态主键
     * @return 单招省份状态
     */
    public DzControl selectDzControlById(Long id);

    /**
     * 查询单招省份状态列表
     * 
     * @param dzControl 单招省份状态
     * @return 单招省份状态集合
     */
    public List<DzControl> selectDzControlList(DzControl dzControl);

    /**
     * 新增单招省份状态
     * 
     * @param dzControl 单招省份状态
     * @return 结果
     */
    public int insertDzControl(DzControl dzControl);

    /**
     * 修改单招省份状态
     * 
     * @param dzControl 单招省份状态
     * @return 结果
     */
    public int updateDzControl(DzControl dzControl);

    /**
     * 删除单招省份状态
     * 
     * @param id 单招省份状态主键
     * @return 结果
     */
    public int deleteDzControlById(Long id);

    /**
     * 批量删除单招省份状态
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteDzControlByIds(Long[] ids);
}
